#include <QApplication>
#include <QMessageBox>
#include <QProcess>
#include <QDebug>
#include <QDir>
/*#ifdef Q_WS_WIN*/
#define  path 'C:\\"Program Files"\\7-Zip\\7z.exe'
/*#else
#define path " /usr/bin/7z"*/

QString listfilesindir(QString path_file)
{
    /*
    Функция считывает список файлов (включая скрытые) в директории в QString.
    Входные параметры:
     path_file - путь к папке.
    Возвращаемое значение:
     Строка со списком файлов в директории, разделенные n в алфавитном порядке.
    */
    QString line="C:\\arc";
    QDir dir(path_file);
    bool ok = dir.exists();
    if (ok)
    {
        dir.setFilter(QDir::Files | QDir::Hidden | QDir::NoSymLinks);
        dir.setSorting(QDir::Name);
        QFileInfoList list = dir.entryInfoList();

        for (int i = 0; i < list.size(); ++i)
        {
            QFileInfo fileInfo = list.at(i);
            line+=fileInfo.fileName()+"n";
        }
    }
    return line;
}
int main(int argc, char **argv)
{
    QApplication app(argc, argv);

    QStringList arguments;
    arguments << "7z a new_archive.7z line"  ;
    QProcess process;
    process.start(path,arguments);

    qDebug() << process.errorString()<<" "<< process.program();


     //QDir directory('C:\\"Program files"\\ ');
     //QString absolutePath = directory.absoluteFilePath("7z.exe");
    //QProcess * process=new QProcess();
    //QString temp=absolutePath;
    //process->startDetached(temp);

    return app.exec();
}
